Read Bootstrap
curl --request GET \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/specification-navigator \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/specification-navigator"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/specification-navigator', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"availableDimensions": [
{
"key": "area",
"kind": "area"
}
],
"effectiveSettings": {
"layout": "areas",
"customGrouping": [
{
"kind": "area"
}
],
"version": 123,
"isDefault": true,
"showItemCount": true,
"showUnassigned": true,
"showExtraQuantity": true,
"showFloorPlan": true
},
"canonicalDefaults": {
"layout": "areas",
"customGrouping": [
{
"kind": "area"
}
],
"showItemCount": true,
"showUnassigned": true,
"showExtraQuantity": true,
"showFloorPlan": true
},
"projection": {
"areaStructureVersion": 123,
"nodes": [
{
"kind": "area",
"id": "<string>",
"label": "<string>",
"structuralParentId": "<string>",
"structuralChildCount": 123,
"hasStructuralChildren": true,
"groupingChildCount": 123,
"hasGroupingChildren": true,
"selection": {
"kind": "path",
"segments": [
{
"dimension": "area",
"scope": "direct",
"areaId": "<string>"
}
]
},
"areaCount": 123,
"hasFloorPlan": true,
"pinnedCount": 123,
"code": "<string>",
"itemCount": 123
}
],
"pageInfo": {
"nextCursor": "<string>",
"hasMore": true
},
"allItemsCount": 123,
"unassignedCount": 123,
"extraQuantityCount": 123
},
"preferenceWarning": "<string>"
}Specification Navigator
Read Bootstrap
GET
/
v1
/
workspaces
/
{workspaceId}
/
projects
/
{projectId}
/
specification-navigator
Read Bootstrap
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required string length:
2 - 4096Example:
"[{\"kind\":\"supplier\"},{\"kind\":\"finish\"}]"
Page size (default 50); Finish grouping is safely capped by the server at 25 without truncating labels.
Required range:
1 <= x <= 100Show child attributes
Show child attributes
Available options:
new, ready, broken Required array length:
1 - 100 elementsAvailable options:
areas, categories, areas-categories, categories-areas, custom Required string length:
1 - 2048Response
200 - application/json
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I